// =============================================================================
// Copyright INRIA 2008
// Copyright DIGITEO 2010 - 2011
// Allan CORNET
// =============================================================================

function builder_main()

    TOOLBOX_NAME  = "ANN_Toolbox";
    TOOLBOX_TITLE = "ANN toolbox";
    toolbox_dir   = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // =============================================================================

    try
        v = getversion("scilab");
    catch
        error(gettext("Scilab 5.4 or more is required."));
    end

    // Check modules_manager module availability
    // =============================================================================
    if ~isdef('tbx_build_loader') then
        error(msprintf(gettext("%s module not installed."), 'modules_manager'));
    end

    // Action
    // =============================================================================
    if v(1)>=6 then
        tbx_build_loader(toolbox_dir)
        tbx_build_cleaner(toolbox_dir)
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir)
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir)
    end
    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
endfunction
// =============================================================================
builder_main()
clear builder_main;
// =============================================================================
